%global momorel 1
%global md5sum_src0 f76677180432a89ac46a8507fe34b45a

Summary: GNOME Screensaver
Name: gnome-screensaver
Version: 2.14.2
Release: %{momorel}m
License: GPL
Group: Amusements/Graphics
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.14/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org

BuildRequires: gtk+-devel >= 2.8.17
BuildRequires: dbus-devel >= 0.61
BuildRequires: GConf-devel >= 2.14.0
BuildRequires: gnome-menus-devel >= 2.14.0
BuildRequires: libgnomeui-devel >= 2.14.1
BuildRequires: libglade-devel >= 2.5.1
BuildRequires: glib-devel >= 2.10.2
BuildRequires: libexif-devel >= 0.6.13
BuildRequires: gnome-vfs-devel >= 2.14.1

%description
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.

If you want to use xscreensaver item, then use below command
as supper user
$ cd /usr/share/gnome-screensaver/themes
$ ./migrate-xscreensaver-config.sh /usr/share/xscreensaver/config/xxx.xml
(where xxx.xml is anemone.xml, anemotaxis.xml, and so on.)
or all xml
$ cd /usr/share/gnome-screensaver/themes
$ ./migrate-xscreensaver-config.sh /usr/share/xscreensaver/config/*.xml

%prep
%setup -q

%build
%configure --disable-schemas-install \
    --enable-locking \
    --enable-pam \
    --with-shadow \
    --with-gdm-config=%{_sysconfdir}/X11/gdm/custom.conf
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

# change menu directory for momonga
install -d %{buildroot}/%{_sysconfdir}/xdg/gnome/menus/
mv %{buildroot}/%{_sysconfdir}/xdg/menus/gnome-screensavers.menu \
    %{buildroot}/%{_sysconfdir}/xdg/gnome/menus/gnome-screensavers.menu

# add migrate script
install data/migrate-xscreensaver-config.sh %{buildroot}/%{_datadir}/gnome-screensaver/themes/
install data/xscreensaver-config.xsl %{buildroot}/%{_datadir}/gnome-screensaver/themes/

# show only gnome
desktop-file-install --vendor gnome --delete-original \
    --dir %{buildroot}/%{_datadir}/applications \
    --add-only-show-in GNOME \
    %{buildroot}/%{_datadir}/applications/*

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-screensaver.schemas"
for S in $SCHEMAS; do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%{_sysconfdir}/gconf/schemas/gnome-screensaver.schemas
%{_sysconfdir}/pam.d/gnome-screensaver
%{_sysconfdir}/xdg/gnome/menus/gnome-screensavers.menu
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/applications/gnome-screensaver-preferences.desktop
%{_datadir}/desktop-directories/gnome-screensaver.directory
%{_datadir}/gnome-screensaver/*
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/backgrounds/cosmos/*
%{_datadir}/pixmaps/gnome-logo-white.svg

%changelog
*Tue May 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Thu May 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-4m)
- add migrate scripts

* Wed May 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-3m)
- delete BuildPrereq: xscreensaver-*

* Tue May 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-2m)
- mv gnome-screensavers.menu to %%{_sysconfdir}/gconf/schemas/

* Wed May 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- Initial Build
